﻿
using System;

namespace HeuristicLab.Problems.GaussianProcessTuning {
  public class Parameters {
    public int PopulationSize { get; set; }
    public int Generations { get; set; }
    public int MaxTreeLength { get; set; }
    public int MaxTreeDepth { get; set; }
    public double MutationRate { get; set; }
    public double MaxSelectionPressure { get; set; }

    public Parameters() {
      PopulationSize = 100;
      Generations = 10;
      MaxTreeLength = 20;
      MaxTreeDepth = 6;
      MutationRate = 0.15;
      MaxSelectionPressure = 100;
    }
  }
}
